package intrinsic.mx.styles;

public interface IStyleClient extends intrinsic.mx.styles.ISimpleStyleClient {

	/** Accessors */
//	public Object inheritingStyles;
//	public Object nonInheritingStyles;
//	public String className;
//	public intrinsic.mx.styles.CSSStyleDeclaration styleDeclaration;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public intrinsic.Array getClassStyleDeclarations();
public Object getStyle(String arg0);
public void regenerateStyleCache(boolean arg0);
public void setStyle(String arg0, Object arg1);
public void registerEffects(intrinsic.Array arg0);
public void notifyStyleChangeInChildren(String arg0, boolean arg1);
public void clearStyle(String arg0);

}
